public class Coffee_Tea
{
   public static void main(String [] args)
   {
      Tea tea = new Tea();
      tea.setPriority( tea.getPriority() + 3);
      tea.start();

      Thread coffee = new Thread(new Coffee() );
      coffee.start();
    }
}

class Tea extends Thread
{
   public void run()
   {
      for(;;)
      {
         try
         {
           sleep(10);
         }
         catch (InterruptedException e)
         {
           return;
         }
         System.out.println("Drinking Tea, pouring coffee!");
      }
   }
}

class Coffee implements Runnable
{
   public void run()
   {
      Thread t = Thread.currentThread();
      while(true)
      {
         t.yield();
         System.out.println("Drinking Coffee, Pouring Tea!");
      }
   }
}

